بولتن امنیتی اندروید - آگوست 2019

منتشر شده در 5 آگوست 2019 | به روز شده در 12 آگوست 2019

بولتن امنیتی اندروید حاوی جزئیاتی از آسیب پذیری های امنیتی است که بر دستگاه های اندرویدی تأثیر می گذارد. سطوح وصله امنیتی 2019-08-05 یا جدیدتر همه این مشکلات را برطرف می کند. برای آشنایی با نحوه بررسی سطح وصله امنیتی دستگاه، به بررسی و به‌روزرسانی نسخه Android خود مراجعه کنید.

شرکای Android حداقل یک ماه قبل از انتشار از همه مشکلات مطلع می شوند. وصله کد منبع برای این مشکلات در مخزن پروژه منبع باز Android (AOSP) منتشر شده و از این بولتن پیوند داده شده است. این بولتن همچنین شامل پیوندهایی به وصله های خارج از AOSP است.

شدیدترین این مشکلات یک آسیب پذیری امنیتی حیاتی در مؤلفه System است که می تواند یک مهاجم راه دور را با استفاده از یک فایل PAC ساخته شده ویژه قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند. ارزیابی شدت مبتنی بر تأثیری است که بهره‌برداری از آسیب‌پذیری احتمالاً روی دستگاه آسیب‌دیده می‌گذارد، با این فرض که پلت‌فرم و کاهش خدمات برای اهداف توسعه خاموش شده‌اند یا اگر با موفقیت دور زده شوند.

ما هیچ گزارشی مبنی بر بهره برداری یا سوء استفاده فعال مشتری از این مشکلات گزارش شده جدید نداشته ایم. برای جزئیات بیشتر در مورد حفاظت های پلتفرم امنیتی اندروید و Google Play Protect که امنیت پلتفرم اندروید را بهبود می بخشد، به بخش کاهش دهنده های Android و Google Play Protect مراجعه کنید.

توجه: اطلاعات مربوط به آخرین به‌روزرسانی هوایی (OTA) و تصاویر میان‌افزار دستگاه‌های Google در بولتن آپدیت پیکسل اوت ۲۰۱۹ موجود است.

کاهش خدمات اندروید و گوگل

این خلاصه‌ای از کاهش‌های ارائه شده توسط پلتفرم امنیتی Android و محافظت‌های خدماتی مانند Google Play Protect است. این قابلیت ها احتمال سوء استفاده موفقیت آمیز از آسیب پذیری های امنیتی در اندروید را کاهش می دهد.

  • بهره برداری از بسیاری از مسائل در اندروید با بهبود نسخه های جدیدتر پلت فرم اندروید دشوارتر شده است. ما همه کاربران را تشویق می کنیم تا در صورت امکان به آخرین نسخه اندروید بروزرسانی کنند.
  • تیم امنیتی Android به طور فعال از طریق Google Play Protect برای سوء استفاده نظارت می کند و به کاربران در مورد برنامه های بالقوه مضر هشدار می دهد. Google Play Protect به طور پیش‌فرض در دستگاه‌های دارای سرویس‌های تلفن همراه Google فعال است و به ویژه برای کاربرانی که برنامه‌هایی را از خارج از Google Play نصب می‌کنند، مهم است.

جزئیات آسیب پذیری سطح وصله امنیتی 01/08/2019

در بخش‌های زیر، جزئیات مربوط به هر یک از آسیب‌پذیری‌های امنیتی مربوط به سطح وصله ۰۱-۰۸-۲۰۱۹ را ارائه می‌کنیم. آسیب‌پذیری‌ها بر اساس مؤلفه‌ای که بر آن تأثیر می‌گذارند گروه‌بندی می‌شوند. شرحی از مشکل و جدولی با CVE، مراجع مرتبط، نوع آسیب‌پذیری ، شدت و نسخه‌های به‌روزرسانی‌شده AOSP (در صورت لزوم) وجود دارد. زمانی که در دسترس باشد، تغییر عمومی را که مشکل را حل کرده است به شناسه اشکال مرتبط می کنیم، مانند لیست تغییرات AOSP. هنگامی که تغییرات متعدد به یک باگ مربوط می شود، ارجاعات اضافی به اعداد زیر شناسه اشکال مرتبط می شوند.

زمان اجرا اندروید

آسیب‌پذیری در این بخش می‌تواند یک مهاجم محلی را قادر می‌سازد تا الزامات تعامل کاربر را دور بزند تا به مجوزهای اضافی دسترسی پیدا کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2120 الف-130821293 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9

چارچوب

شدیدترین آسیب پذیری در این بخش می تواند یک برنامه مخرب محلی را قادر سازد تا کد دلخواه را در چارچوب یک فرآیند ممتاز اجرا کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2121 الف-131105245 EoP بالا 9
CVE-2019-2122 A-127605586 [ 2 ] [ 3 ] EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2125 الف-132275252 EoP در حد متوسط 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9

چارچوب رسانه ای

شدیدترین آسیب‌پذیری در این بخش می‌تواند یک مهاجم راه دور را با استفاده از یک فایل ساخته‌شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند غیرمجاز کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2126 A-127702368 [ 2 ] RCE بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2128 الف-132647222 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2129 الف-124781927 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9

سیستم

شدیدترین آسیب‌پذیری در این بخش می‌تواند یک مهاجم از راه دور را با استفاده از یک فایل PAC ساخته‌شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2130 الف-132073833 RCE بحرانی 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2131 الف-119115683 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2132 الف-130568701 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2133 الف-132082342 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2134 الف-132083376 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2135 الف-125900276 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2136 A-132650049 [ 2 ] [ 3 ] [ 4 ] شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2137 A-132438333 [ 2 ] DoS بالا 9

جزئیات آسیب پذیری سطح وصله امنیتی 05/08/2019

در بخش‌های زیر، جزئیات هر یک از آسیب‌پذیری‌های امنیتی مربوط به سطح وصله ۰۵-۰۸-۲۰۱۹ را ارائه می‌کنیم. آسیب‌پذیری‌ها تحت مؤلفه‌ای که بر آن تأثیر می‌گذارند گروه‌بندی می‌شوند و شامل جزئیاتی مانند CVE، مراجع مرتبط، نوع آسیب‌پذیری ، شدت ، مؤلفه (در صورت لزوم)، و نسخه‌های به‌روزرسانی‌شده AOSP (در صورت لزوم) می‌شوند. زمانی که در دسترس باشد، تغییر عمومی را که مشکل را حل کرده است به شناسه اشکال مرتبط می کنیم، مانند لیست تغییرات AOSP. هنگامی که تغییرات متعدد به یک باگ مربوط می شود، ارجاعات اضافی به اعداد زیر شناسه اشکال مرتبط می شوند.

چارچوب رسانه ای

آسیب‌پذیری در این بخش می‌تواند یک مهاجم محلی را قادر سازد تا کد دلخواه را در چارچوب یک فرآیند ممتاز اجرا کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2127 الف-124899895 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9

سیستم

آسیب‌پذیری در این بخش می‌تواند یک مهاجم نزدیک را قادر به دسترسی یا دستکاری داده‌ها کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-9506 A-124301137 [ 2 ] شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9

اجزای Broadcom

آسیب‌پذیری در این بخش می‌تواند یک مهاجم از راه دور را با استفاده از یک انتقال ساخته‌شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-11516 الف-132966035 * RCE بحرانی بلوتوث

قطعات کوالکام

این آسیب‌پذیری‌ها بر اجزای کوالکام تأثیر می‌گذارند و با جزئیات بیشتر در بولتن امنیتی یا هشدار امنیتی کوالکام توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه می شود.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-10492 الف-132170519
QC-CR#2389432
N/A بحرانی HLOS
CVE-2019-10509 الف-132171185
QC-CR#2359039
N/A بالا BTHOST
CVE-2019-10510 الف-132173563
QC-CR#2305025
N/A بالا BTHOST
CVE-2019-10499 الف-134440231
QC-CR#2398099
N/A بالا MProc
CVE-2019-10538 الف-132193791
QC-CR#2448763
N/A بالا WLAN

اجزای منبع بسته کوالکام

این آسیب‌پذیری‌ها بر اجزای منبع بسته کوالکام تأثیر می‌گذارند و با جزئیات بیشتر در بولتن امنیتی یا هشدار امنیتی کوالکام توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه می شود.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-10539 A-135126805 * N/A بحرانی جزء منبع بسته
CVE-2019-10540 A-135126805 * N/A بحرانی جزء منبع بسته
CVE-2019-10489 الف-132108754 * N/A بالا جزء منبع بسته
CVE-2019-2294 الف-132108952 * N/A بالا جزء منبع بسته

سطح وصله امنیتی 2019-06-05 — به‌روزرسانی‌ها

در بخش زیر، جزئیات دو آسیب‌پذیری امنیتی دیگر را که در سطح وصله 2019-06-05 گنجانده شده‌اند، ارائه می‌کنیم. این مسائل در کنفرانس امنیتی اخیر به عنوان بخشی از افشای هماهنگ با طرف های آسیب دیده اعلام شد.

قطعات کوالکام

این آسیب‌پذیری‌ها بر اجزای کوالکام تأثیر می‌گذارند و با جزئیات بیشتر در بولتن امنیتی یا هشدار امنیتی کوالکام توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه می شود.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-2279 الف-114073969
QC-CR#2345481 [ 2 ]
N/A بحرانی سیستم عامل QC Venus

اجزای منبع بسته کوالکام

این آسیب‌پذیری‌ها بر اجزای منبع بسته کوالکام تأثیر می‌گذارند و با جزئیات بیشتر در بولتن امنیتی یا هشدار امنیتی کوالکام توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه می شود.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-2252 A-114235025 * N/A بحرانی جزء منبع بسته

پرسش و پاسخ متداول

این بخش به سوالات رایجی که ممکن است پس از خواندن این بولتن رخ دهد پاسخ می دهد.

1. چگونه تشخیص دهم که آیا دستگاه من برای رفع این مشکلات به روز شده است؟

برای آشنایی با نحوه بررسی سطح وصله امنیتی دستگاه، به بررسی و به‌روزرسانی نسخه Android خود مراجعه کنید.

  • سطوح وصله امنیتی 2019-08-01 یا جدیدتر تمام مسائل مرتبط با سطح وصله امنیتی 2019-08-01 را برطرف می کند.
  • سطوح وصله امنیتی 2019-08-05 یا بعد از آن، تمام مسائل مرتبط با سطح وصله امنیتی 2019-08-05 و تمام سطوح وصله قبلی را برطرف می کند.

سازندگان دستگاه‌هایی که شامل این به‌روزرسانی‌ها می‌شوند باید سطح رشته وصله را روی موارد زیر تنظیم کنند:

  • [ro.build.version.security_patch]:[01-08-2019]
  • [ro.build.version.security_patch]: [05-08-2019]

2. چرا این بولتن دارای دو سطح وصله امنیتی است؟

این بولتن دارای دو سطح وصله امنیتی است تا شرکای Android انعطاف پذیری لازم را داشته باشند تا زیرمجموعه ای از آسیب پذیری ها را که در همه دستگاه های اندرویدی مشابه هستند با سرعت بیشتری برطرف کنند. شرکای Android تشویق می شوند تا همه مشکلات موجود در این بولتن را برطرف کنند و از آخرین سطح وصله امنیتی استفاده کنند.

  • دستگاه‌هایی که از سطح وصله امنیتی 01-08-2019 استفاده می‌کنند باید شامل تمام مشکلات مرتبط با آن سطح وصله امنیتی و همچنین رفع تمام مشکلات گزارش‌شده در بولتن‌های امنیتی قبلی باشند.
  • دستگاه‌هایی که از سطح وصله امنیتی 05/08/2019 یا جدیدتر استفاده می‌کنند باید همه وصله‌های قابل‌اجرا در این بولتن‌های امنیتی (و قبلی) را شامل شوند.

شرکا تشویق می شوند تا اصلاحات مربوط به همه مشکلاتی را که در حال رفع آنها هستند در یک به روز رسانی واحد جمع کنند.

3. ورودی های ستون Type به چه معناست؟

ورودی های ستون نوع جدول جزئیات آسیب پذیری به طبقه بندی آسیب پذیری امنیتی اشاره دارد.

مخفف تعریف
RCE اجرای کد از راه دور
EoP بالا بردن امتیاز
شناسه افشای اطلاعات
DoS خود داری از خدمات
N/A طبقه بندی در دسترس نیست

4. ورودی های ستون References به چه معناست؟

ورودی‌های زیر ستون مراجع جدول جزئیات آسیب‌پذیری ممکن است حاوی پیشوندی باشد که سازمانی را که مقدار مرجع به آن تعلق دارد، مشخص می‌کند.

پیشوند ارجاع
آ- شناسه باگ اندروید
QC- شماره مرجع کوالکام
M- شماره مرجع مدیاتک
N- شماره مرجع NVIDIA
ب- شماره مرجع Broadcom

5. یک * در کنار شناسه باگ اندروید در ستون References به چه معناست؟

مسائلی که به صورت عمومی در دسترس نیستند دارای یک * در کنار شناسه اشکال Android در ستون References هستند. به‌روزرسانی برای آن مشکل عموماً در آخرین درایورهای باینری دستگاه‌های Pixel موجود در سایت Google Developer موجود است.

6. چرا آسیب‌پذیری‌های امنیتی بین این بولتن و بولتن‌های امنیتی دستگاه/شریک، مانند بولتن Pixel تقسیم شده است؟

آسیب پذیری های امنیتی که در این بولتن امنیتی مستند شده اند برای اعلام آخرین سطح وصله امنیتی در دستگاه های اندرویدی مورد نیاز هستند. آسیب‌پذیری‌های امنیتی اضافی که در بولتن‌های امنیتی دستگاه/شریک مستند شده‌اند، برای اعلام سطح وصله امنیتی لازم نیست. سازندگان دستگاه‌ها و چیپ‌ست‌های Android نیز ممکن است جزئیات آسیب‌پذیری امنیتی خاص محصولات خود را منتشر کنند، مانند Google ، Huawei ، LGE ، Motorola ، Nokia یا Samsung .

نسخه ها

نسخه تاریخ یادداشت
1.0 5 آگوست 2019 بولتن منتشر شد
1.1 7 آگوست 2019 بولتن اصلاح شد تا شامل پیوندهای AOSP باشد
1.2 12 آگوست 2019 بولتن اصلاح شد تا شامل موضوعات اعلام شده در کنفرانس های امنیتی اخیر به عنوان بخشی از افشای هماهنگ با طرف های آسیب دیده باشد.